Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

EOActionAssociation
EOActionCellAssociation
EOActionInsertionAssociation
EOAspectConnector
EOAssociation
EOColumnAssociation
EOComboBoxAssociation
EOControlAssociation
EODetailSelectionAssociation
EODisplayGroup
EOGenericControlAssociation
EOMasterCopyAssociation
EOMasterDetailAssociation
EOMasterPeerAssociation
EOMatrixAssociation
EOPickTextAssociation
EOPopUpAssociation
EORadioMatrixAssociation
EORecursiveBrowserAssociation
EOTableViewAssociation
EOTextAssociation

### Protocols

### Constants

### Functions

### Macros

### Types

### Variables

Up

# EORadioMatrixAssociation class documentation

### Authors

David Ayers (`ayers@fsfe.org`)

Date: Generated at 2026-02-03 22:13:20 +0000

Copyright: (C) 2004,2005 Free Software Foundation, Inc.

# Software documentation for the EORadioMatrixAssociation class

## EORadioMatrixAssociation : EOAssociation

> Declared in:
>   EOInterface/EORadioMatrixAssociation.h

Description forthcoming.

Instance Variables

### Method summary

- +aspectSignatures
- +aspects
- +associationClassesSuperseded
- +displayName
- +isUsableWithObject:
- +objectKeysTaken
- +primaryAspect
- -breakConnection
- -establishConnection
- -setTagValueForOther:
- -subjectChanged
- -tagValueForOther

### aspectSignatures

+ (NSArray*) aspectSignatures;
Description forthcoming.

### aspects

+ (NSArray*) aspects;
Description forthcoming.

### associationClassesSuperseded

+ (NSArray*) associationClassesSuperseded;
Description forthcoming.

### displayName

+ (NSString*) displayName;
Description forthcoming.

### isUsableWithObject:

+ (BOOL) isUsableWithObject: (id)object;
Description forthcoming.

### objectKeysTaken

+ (NSArray*) objectKeysTaken;
Description forthcoming.

### primaryAspect

+ (NSString*) primaryAspect;
Description forthcoming.

### breakConnection

- (void) breakConnection;
Description forthcoming.

### establishConnection

- (void) establishConnection;
Description forthcoming.

### setTagValueForOther:

- (void) setTagValueForOther: (int)value;
Description forthcoming.

### subjectChanged

- (void) subjectChanged;
Description forthcoming.

### tagValueForOther

- (int) tagValueForOther;
Description forthcoming.

## Instance Variables for EORadioMatrixAssociation Class

### _tagValueForOther

@protected int _tagValueForOther;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up